<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::assignable_ptr_matrix&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1assignable__ptr__matrix.html">assignable_ptr_matrix</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classdlib_1_1assignable__ptr__matrix-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::assignable_ptr_matrix&lt; T &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:abf3907368fa92745da0d52a431e2ddc0"><td class="memItemLeft" align="right" valign="top"><a id="abf3907368fa92745da0d52a431e2ddc0"></a>
typedef T&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:abf3907368fa92745da0d52a431e2ddc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31bb46dd5b3cdfa780a02d22448e5996"><td class="memItemLeft" align="right" valign="top"><a id="a31bb46dd5b3cdfa780a02d22448e5996"></a>
typedef <a class="el" href="structdlib_1_1row__major__layout.html">row_major_layout</a>&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:a31bb46dd5b3cdfa780a02d22448e5996"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20d80244e666528f8835a6f2913af357"><td class="memItemLeft" align="right" valign="top"><a id="a20d80244e666528f8835a6f2913af357"></a>
typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; T, 0, 0, <a class="el" href="namespacedlib.html#ae8aaef18fce6452263f46535116308ca">default_memory_manager</a>, <a class="el" href="structdlib_1_1row__major__layout.html">layout_type</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>matrix_type</b></td></tr>
<tr class="separator:a20d80244e666528f8835a6f2913af357"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa312debaaadf6af68d6a045ab3b2d351"><td class="memItemLeft" align="right" valign="top"><a id="aa312debaaadf6af68d6a045ab3b2d351"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>assignable_ptr_matrix</b> (T *ptr_, long nr_, long nc_)</td></tr>
<tr class="separator:aa312debaaadf6af68d6a045ab3b2d351"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82b3499ee8c30b52da3990648a63e910"><td class="memItemLeft" align="right" valign="top"><a id="a82b3499ee8c30b52da3990648a63e910"></a>
T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long r, long c)</td></tr>
<tr class="separator:a82b3499ee8c30b52da3990648a63e910"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3eebf7d07da6f4642488000eaea0ab0a"><td class="memItemLeft" align="right" valign="top"><a id="a3eebf7d07da6f4642488000eaea0ab0a"></a>
const T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long r, long c) const</td></tr>
<tr class="separator:a3eebf7d07da6f4642488000eaea0ab0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb9c5d53254ea82f02f5f0a9414defa8"><td class="memItemLeft" align="right" valign="top"><a id="acb9c5d53254ea82f02f5f0a9414defa8"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr</b> () const</td></tr>
<tr class="separator:acb9c5d53254ea82f02f5f0a9414defa8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb31cbf7feb75446abb39e4d385b74d4"><td class="memItemLeft" align="right" valign="top"><a id="abb31cbf7feb75446abb39e4d385b74d4"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b> () const</td></tr>
<tr class="separator:abb31cbf7feb75446abb39e4d385b74d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5e0e6f76a0ff86ecac8fa3a000b0b93"><td class="memTemplParams" colspan="2"><a id="ae5e0e6f76a0ff86ecac8fa3a000b0b93"></a>
template&lt;typename EXP &gt; </td></tr>
<tr class="memitem:ae5e0e6f76a0ff86ecac8fa3a000b0b93"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classdlib_1_1assignable__ptr__matrix.html">assignable_ptr_matrix</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; EXP &gt; &amp;exp)</td></tr>
<tr class="separator:ae5e0e6f76a0ff86ecac8fa3a000b0b93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67c4a8cbeaee85fb450c93a0d1c9f5a5"><td class="memTemplParams" colspan="2"><a id="a67c4a8cbeaee85fb450c93a0d1c9f5a5"></a>
template&lt;typename EXP &gt; </td></tr>
<tr class="memitem:a67c4a8cbeaee85fb450c93a0d1c9f5a5"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classdlib_1_1assignable__ptr__matrix.html">assignable_ptr_matrix</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator+=</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; EXP &gt; &amp;exp)</td></tr>
<tr class="separator:a67c4a8cbeaee85fb450c93a0d1c9f5a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff7ed10602f54739df2dd030a92e765f"><td class="memTemplParams" colspan="2"><a id="aff7ed10602f54739df2dd030a92e765f"></a>
template&lt;typename EXP &gt; </td></tr>
<tr class="memitem:aff7ed10602f54739df2dd030a92e765f"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classdlib_1_1assignable__ptr__matrix.html">assignable_ptr_matrix</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator-=</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; EXP &gt; &amp;exp)</td></tr>
<tr class="separator:aff7ed10602f54739df2dd030a92e765f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a67f9baee02fcd0e13be89c3a6c23c4"><td class="memItemLeft" align="right" valign="top"><a id="a9a67f9baee02fcd0e13be89c3a6c23c4"></a>
<a class="el" href="classdlib_1_1assignable__ptr__matrix.html">assignable_ptr_matrix</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const T &amp;value)</td></tr>
<tr class="separator:a9a67f9baee02fcd0e13be89c3a6c23c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71288e3f796703f5fb849e57a26a8ca5"><td class="memItemLeft" align="right" valign="top"><a id="a71288e3f796703f5fb849e57a26a8ca5"></a>
<a class="el" href="classdlib_1_1assignable__ptr__matrix.html">assignable_ptr_matrix</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator+=</b> (const T &amp;value)</td></tr>
<tr class="separator:a71288e3f796703f5fb849e57a26a8ca5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6ba5aad627f9b1c7e789c88f7bcd917"><td class="memItemLeft" align="right" valign="top"><a id="ac6ba5aad627f9b1c7e789c88f7bcd917"></a>
<a class="el" href="classdlib_1_1assignable__ptr__matrix.html">assignable_ptr_matrix</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator-=</b> (const T &amp;value)</td></tr>
<tr class="separator:ac6ba5aad627f9b1c7e789c88f7bcd917"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a7356320d9e01869fd117a0d447242ae1"><td class="memItemLeft" align="right" valign="top"><a id="a7356320d9e01869fd117a0d447242ae1"></a>
T *&#160;</td><td class="memItemRight" valign="bottom"><b>ptr</b></td></tr>
<tr class="separator:a7356320d9e01869fd117a0d447242ae1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f2b153803a5e8d0ebac26c0910f512e"><td class="memItemLeft" align="right" valign="top"><a id="a4f2b153803a5e8d0ebac26c0910f512e"></a>
const long&#160;</td><td class="memItemRight" valign="bottom"><b>height</b></td></tr>
<tr class="separator:a4f2b153803a5e8d0ebac26c0910f512e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27431552d3a127989662e1594042d63e"><td class="memItemLeft" align="right" valign="top"><a id="a27431552d3a127989662e1594042d63e"></a>
const long&#160;</td><td class="memItemRight" valign="bottom"><b>width</b></td></tr>
<tr class="separator:a27431552d3a127989662e1594042d63e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="matrix__subexp_8h_source.html">matrix_subexp.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
